### Method

# RB RhythmDB entry_lookup_by_location

#### Declaration [src]

    RhythmDBEntry*
    rhythmdb_entry_lookup_by_location (
      RhythmDB* db,
      const char* uri
    )

#### Description [src]

Looks up the entry with location `uri`.

#### Parameters

`uri`

  Type: `const char*`

  The URI of the entry to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RhythmDBEntry`

The entry with location `uri`, or NULL if no such entry exists.

The returned data is owned by the instance.